# disable undefined symbol with meson build system
%define _disable_ld_no_undefined 1

%define url_ver %(echo %version | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{name}/extensions/.*\\.so

# exclude plugin .so from requires
%global extensions lib(catalogs|edit_metadata|exiv2_tools|flicker_utils|gstreamer_utils|image_rotation|image_viewer|importer|jpeg_utils|oauth)\\.so
%global __requires_exclude %{extensions}

Summary:	An image viewer and browser for GNOME
Name:		gthumb
Version:	3.11.1
Release:	%mkrel 2
License:	GPLv2+
URL:		http://gthumb.sourceforge.net/
Group:		Graphics/Viewers
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(champlain-0.12) >= 0.12.0
BuildRequires:	pkgconfig(champlain-gtk-0.12) >= 0.12.0
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(exiv2) >= 0.21
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1) >= 3.2.0
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libbrasero-burn3) >= 3.2.0
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libraw) >= 0.14
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.34.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.36
BuildRequires:	pkgconfig(libsoup-gnome-2.4) >= 2.36
BuildRequires:	pkgconfig(libwebp) >= 0.2.0
BuildRequires:	pkgconfig(sm) >= 1.0.0
BuildRequires:	pkgconfig(webkit2gtk-4.0) >= 1.10.0
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	itstool
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	yelp-tools
Requires:	gsettings-desktop-schemas

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files.
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more.

%package devel
Summary: Header files for building %name extensions
Group: Development/C
Requires: %{name} = %{version}-%{release}

%description devel
gThumb lets you browse your hard disk, showing you thumbnails of image files.
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more.

%prep
%setup -q
%autopatch -p1

%build
%meson -Dlibchamplain=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/*
%{_datadir}/applications/*
%{_metainfodir}/org.gnome.gThumb.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}*.xml
%{_datadir}/icons/hicolor/*/apps/*.*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/extensions/
%{_libdir}/%{name}/extensions/*.extension
%{_libdir}/%{name}/extensions/*.so
%{_mandir}/man?/%{name}.*

%files devel
%doc NEWS
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/%{name}.m4


%changelog
* Thu Oct 08 2020 wally <wally> 3.11.1-2.mga8
+ Revision: 1632839
- filter plugin .so from requires (mga#27373)

* Thu Sep 24 2020 daviddavid <daviddavid> 3.11.1-1.mga8
+ Revision: 1629874
- new version 3.11.1

* Sun Sep 20 2020 ovitters <ovitters> 3.10.1-1.mga8
+ Revision: 1628902
- new version 3.10.1

* Wed Sep 09 2020 zezinho <zezinho> 3.10.0-2.mga8
+ Revision: 1623882
- rebuild against libraw20

* Sun Apr 19 2020 ovitters <ovitters> 3.10.0-1.mga8
+ Revision: 1569921
- new version 3.10.0

* Sun Mar 08 2020 daviddavid <daviddavid> 3.9.1-1.mga8
+ Revision: 1554935
- new version 3.9.1

* Tue Feb 18 2020 umeabot <umeabot> 3.8.3-2.mga8
+ Revision: 1541330
- Mageia 8 Mass Rebuild

* Mon Dec 23 2019 ovitters <ovitters> 3.8.3-1.mga8
+ Revision: 1469762
- new version 3.8.3

* Mon Nov 18 2019 ovitters <ovitters> 3.8.2-1.mga8
+ Revision: 1461660
- new version 3.8.2

* Mon Sep 09 2019 ovitters <ovitters> 3.8.1-1.mga8
+ Revision: 1439022
- new version 3.8.1

* Tue Jul 02 2019 ovitters <ovitters> 3.8.0-1.mga8
+ Revision: 1417613
- new version 3.8.0

* Thu May 16 2019 daviddavid <daviddavid> 3.7.2-2.mga7
+ Revision: 1398041
- rebuild for new exiv2 0.27.1

* Mon May 06 2019 daviddavid <daviddavid> 3.7.2-1.mga7
+ Revision: 1396416
- new version: 3.7.2
- remove merged upstream patches

* Wed Apr 17 2019 umeabot <umeabot> 3.7.1-2.mga7
+ Revision: 1392649
- Rebuild with meson 0.50.1

* Fri Mar 08 2019 daviddavid <daviddavid> 3.7.1-1.mga7
+ Revision: 1372795
- new version 3.7.1
- switch to meson build system

* Sun Feb 24 2019 daviddavid <daviddavid> 3.6.2-4.mga7
+ Revision: 1369800
- use upstream patch to fix build with exiv2 >= 0.27.0 instead

* Wed Jan 16 2019 ns80 <ns80> 3.6.2-3.mga7
+ Revision: 1357355
- add patch for CVE-2018-18718 (mga#24183)

* Mon Dec 31 2018 daviddavid <daviddavid> 3.6.2-2.mga7
+ Revision: 1347580
- add patch to fix build with exiv2 >= 0.27
+ luigiwalser <luigiwalser>
- rebuild for exiv2

* Sun Sep 30 2018 ovitters <ovitters> 3.6.2-1.mga7
+ Revision: 1312597
- new version 3.6.2

* Thu Sep 06 2018 daviddavid <daviddavid> 3.6.1-2.mga7
+ Revision: 1257505
- rebuild for new libraw 0.19.0

* Wed Mar 14 2018 ovitters <ovitters> 3.6.1-1.mga7
+ Revision: 1209267
- new version 3.6.1

* Fri Dec 15 2017 ovitters <ovitters> 3.6.0-1.mga7
+ Revision: 1182707
- new version 3.6.0

* Sun Aug 06 2017 daviddavid <daviddavid> 3.4.5-3.mga7
+ Revision: 1138088
- rebuild for new libwebp 0.6.0

* Tue Jun 20 2017 neoclust <neoclust> 3.4.5-2.mga6
+ Revision: 1107992
- Rebuild against new exiv2

* Thu Apr 20 2017 ovitters <ovitters> 3.4.5-1.mga6
+ Revision: 1096922
- new version 3.4.5

* Wed Dec 28 2016 neoclust <neoclust> 3.4.4.1-2.mga6
+ Revision: 1078429
- Rebuild for new libraw

* Wed Oct 12 2016 ovitters <ovitters> 3.4.4.1-1.mga6
+ Revision: 1060434
- new version 3.4.4.1

* Mon Oct 10 2016 ovitters <ovitters> 3.4.4-1.mga6
+ Revision: 1060034
- new version 3.4.4

* Mon Apr 11 2016 ovitters <ovitters> 3.4.3-1.mga6
+ Revision: 1000519
- new version 3.4.3

* Mon Mar 14 2016 ovitters <ovitters> 3.4.2-1.mga6
+ Revision: 990707
- new version 3.4.2

* Sat Jan 02 2016 luigiwalser <luigiwalser> 3.4.1-3.mga6
+ Revision: 918201
- rebuild for libwebp

* Mon Dec 28 2015 tv <tv> 3.4.1-2.mga6
+ Revision: 916255
- rebuild for new libraw
+ wally <wally>
- drop unneeded libopenraw-devel BR

* Thu Sep 24 2015 tv <tv> 3.4.1-1.mga6
+ Revision: 883080
- new release

* Wed Aug 26 2015 fwang <fwang> 3.4.0-2.mga6
+ Revision: 869486
- rebuild for exiv

* Sat Jun 20 2015 ovitters <ovitters> 3.4.0-1.mga6
+ Revision: 836621
- new version 3.4.0
- dropped merged patch 1

* Wed Oct 15 2014 fwang <fwang> 3.3.2-5.mga5
+ Revision: 750754
- build against libraw
- drop unused switch

* Wed Oct 15 2014 fwang <fwang> 3.3.2-4.mga5
+ Revision: 750080
- add upstream patch to build with webkit2gtk-4.0
- build with webkit2gtk-4.0
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.2-2.mga5
+ Revision: 679995
- Mageia 5 Mass Rebuild

* Sun May 18 2014 ovitters <ovitters> 3.3.2-1.mga5
+ Revision: 623535
- new version 3.3.2

* Sat Feb 15 2014 luigiwalser <luigiwalser> 3.3.1-3.mga5
+ Revision: 592105
- rebuild for libwebp

* Mon Feb 10 2014 dams <dams> 3.3.1-2.mga5
+ Revision: 589009
- rebuild for new exiv2

* Wed Feb 05 2014 dams <dams> 3.3.1-1.mga5
+ Revision: 583027
- new version 3.3.1

* Tue Feb 04 2014 dams <dams> 3.2.6-2.mga5
+ Revision: 581852
- adds 'gsettings-desktop-schemas' as a require (mga#12531)

* Tue Feb 04 2014 dams <dams> 3.2.6-1.mga5
+ Revision: 580847
- new version 3.2.6

* Mon Dec 23 2013 dams <dams> 3.2.5-1.mga4
+ Revision: 560069
- new version 3.2.5

* Tue Oct 22 2013 umeabot <umeabot> 3.2.4-2.mga4
+ Revision: 542415
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.2.4-1.mga4
+ Revision: 497542
- new version 3.2.4

* Thu Aug 01 2013 dams <dams> 3.2.3-3.mga4
+ Revision: 462445
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 3.2.3-2.mga4
+ Revision: 454297
- Rebuild for new cogl

* Wed Jul 10 2013 ovitters <ovitters> 3.2.3-1.mga4
+ Revision: 452543
- new version 3.2.3

* Mon Jun 03 2013 fwang <fwang> 3.2.2-3.mga4
+ Revision: 435956
- rebuild for new libpng

* Mon May 27 2013 fwang <fwang> 3.2.2-2.mga4
+ Revision: 428609
- rebuild for new cogl

* Thu May 23 2013 dams <dams> 3.2.2-1.mga4
+ Revision: 424967
- new version 3.2.2

* Tue Apr 16 2013 dams <dams> 3.2.1-1.mga3
+ Revision: 410185
- new version 3.2.1

* Wed Apr 10 2013 dams <dams> 3.2.0-1.mga3
+ Revision: 409403
- remove useless patch for gstreamer 1.0
- new version 3.2.0
- update buildrequires
- clean specfile

* Sat Jan 12 2013 umeabot <umeabot> 3.1.2-3.mga3
+ Revision: 352799
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 fwang <fwang> 3.1.2-2.mga3
+ Revision: 332419
- ad upstream patch to port to gst 1.0

* Mon Oct 15 2012 ovitters <ovitters> 3.1.2-1.mga3
+ Revision: 306759
- new version 3.1.2

* Sun Sep 30 2012 fwang <fwang> 3.1.1-2.mga3
+ Revision: 300951
- update rpm group
- rebuild for new cogl

* Mon Sep 24 2012 fwang <fwang> 3.1.1-1.mga3
+ Revision: 296949
- new version 3.1.1

* Mon Aug 20 2012 ovitters <ovitters> 3.0.2-1.mga3
+ Revision: 282708
- new version 3.0.2

* Mon Jun 18 2012 fwang <fwang> 3.0.1-2.mga3
+ Revision: 261639
- rebuild for new exiv

* Mon May 28 2012 ovitters <ovitters> 3.0.1-1.mga3
+ Revision: 248315
- update file list
- update buildrequires
- new version 3.0.1

* Wed Apr 25 2012 fwang <fwang> 3.0.0-1.mga2
+ Revision: 233181
- new version 3.0.0
- new version 2.90.3

* Tue Mar 06 2012 fwang <fwang> 2.90.1-1.mga2
+ Revision: 220258
- update file list
- update file list
- fix build with latest gtk
- new version 2.90.1

* Tue Jan 24 2012 fwang <fwang> 2.14.2-1.mga2
+ Revision: 200506
- new version 2.14.2

* Fri Dec 23 2011 fwang <fwang> 2.14.1-2.mga2
+ Revision: 186608
- use gnome-autogen
- rebuild for new libtiff

* Tue Dec 06 2011 fwang <fwang> 2.14.1-1.mga2
+ Revision: 177203
- new version 2.14.1

* Wed Nov 30 2011 fwang <fwang> 2.14.0-3.mga2
+ Revision: 174398
- disable schema install
- disable clutter req

* Wed Nov 23 2011 wally <wally> 2.14.0-2.mga2
+ Revision: 171410
- BR gnome-common
- rebuild for new cogl and clutter
- add patch to build against clutter-gtk-1.0

* Sat Oct 29 2011 fwang <fwang> 2.14.0-1.mga2
+ Revision: 159390
- update file list
- new version 2.14.0

* Sun Oct 09 2011 fwang <fwang> 2.13.91-2.mga2
+ Revision: 153420
- rebuild for new exiv2

* Wed Sep 28 2011 ovitters <ovitters> 2.13.91-1.mga2
+ Revision: 150048
- new version 2.13.91

* Mon Sep 19 2011 wally <wally> 2.13.90-2.mga2
+ Revision: 145706
- rebuild for new cogl

* Wed Sep 14 2011 fwang <fwang> 2.13.90-1.mga2
+ Revision: 143123
- new version 2.13.90

* Wed Sep 14 2011 fwang <fwang> 2.13.3-2.mga2
+ Revision: 143122
- rebuild for new libpng
- champlain 0.8 does not exist
- new version 2.13.3

* Thu Jun 30 2011 ahmad <ahmad> 2.13.2-1.mga2
+ Revision: 117019
- Update to 2.13.2
- Change BR to clutter-gtk010-devel

* Thu Jun 16 2011 dmorgan <dmorgan> 2.12.3-1.mga2
+ Revision: 107996
- Fix build

* Tue Apr 19 2011 pterjan <pterjan> 2.12.3-1.mga1
+ Revision: 88099
- Update to 2.12.3

* Thu Feb 17 2011 blino <blino> 2.12.1-5.mga1
+ Revision: 53351
- remove old ldconfig scriptlets and mkrel stuff
- imported package gthumb


* Mon Dec 20 2010 Götz Waschk <waschk@mandriva.org> 2.12.1-4mdv2011.0
+ Revision: 623307
- rebuild for buildsystem problem

  + Funda Wang <fwang@mandriva.org>
    - add patch to build with latest libexiv

* Sun Dec 05 2010 Funda Wang <fwang@mandriva.org> 2.12.1-2mdv2011.0
+ Revision: 609615
- disable exiv support for now

* Mon Nov 15 2010 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2011.0
+ Revision: 597831
- update to new version 2.12.1

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdv2011.0
+ Revision: 581653
- new version
- add m4 file

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.11.92-1mdv2011.0
+ Revision: 578360
- update to new version 2.11.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.11.91-1mdv2011.0
+ Revision: 574545
- update to new version 2.11.91

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 2.11.90-2mdv2011.0
+ Revision: 571611
- rebuild for new brasero

* Mon Aug 16 2010 Götz Waschk <waschk@mandriva.org> 2.11.90-1mdv2011.0
+ Revision: 570633
- update to new version 2.11.90

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 2.11.6-2mdv2011.0
+ Revision: 565545
- rebuild for new exiv2

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 2.11.6-1mdv2011.0
+ Revision: 565413
- update to new version 2.11.6

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 2.11.5-1mdv2011.0
+ Revision: 551299
- update to new version 2.11.5

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.11.4-1mdv2011.0
+ Revision: 550654
- new version
- update file list

* Thu Apr 15 2010 Götz Waschk <waschk@mandriva.org> 2.11.3-2mdv2010.1
+ Revision: 535087
- build with CD burning support

* Thu Apr 15 2010 Götz Waschk <waschk@mandriva.org> 2.11.3-1mdv2010.1
+ Revision: 535038
- new version
- drop patch

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.11.2.1-1mdv2010.1
+ Revision: 510037
- new version
- remove build workaround

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 2.11.2-1mdv2010.1
+ Revision: 510003
- new version
- drop patch 1
- fix build
- update build deps
- update file list

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 2.11.1-4mdv2010.1
+ Revision: 499437
- BR gnome-common

  + Frederic Crozat <fcrozat@mandriva.com>
    - Patch1: fix plugin linking

* Sun Jan 24 2010 Funda Wang <fwang@mandriva.org> 2.11.1-3mdv2010.1
+ Revision: 495416
- build with latest gtk
- these packages do not exist

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.11.1-2mdv2010.1
+ Revision: 488761
- rebuilt against libjpeg v8

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 2.11.1-1mdv2010.1
+ Revision: 486240
- reenable openraw
- new version
- drop patches
- drop import script
- update file list
- update build deps

* Tue Oct 06 2009 Frederic Crozat <fcrozat@mandriva.com> 2.10.11-3mdv2010.0
+ Revision: 454698
- Add sources 1, 2 : import tool for use with nautilus (Fedora)
- Patch1 (GIT): fix import default directory (GNOME bug #577042)

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.10.11-2mdv2010.0
+ Revision: 416659
- rebuilt against libjpeg v7

* Tue Feb 24 2009 Götz Waschk <waschk@mandriva.org> 2.10.11-1mdv2009.1
+ Revision: 344435
- new version
- fix format strings

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.10.10-1mdv2009.0
+ Revision: 286975
- new version
- drop patch

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.10.9-1mdv2009.0
+ Revision: 263602
- new version
- rediff the patch
- update license
- fix linking

  + Funda Wang <fwang@mandriva.org>
    - drop libpackage

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jan 01 2008 Götz Waschk <waschk@mandriva.org> 2.10.8-1mdv2008.1
+ Revision: 140043
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 2.10.7-2mdv2008.1
+ Revision: 116724
- drop old menu

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 2.10.7-1mdv2008.1
+ Revision: 98706
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill changelog left by repsys

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 2.10.6-1mdv2008.0
+ Revision: 72370
- new version
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%{_datadir}/man by %%{_mandir}!

* Tue Jun 26 2007 Götz Waschk <waschk@mandriva.org> 2.10.5-1mdv2008.0
+ Revision: 44349
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 2.10.4-1mdv2008.0
+ Revision: 41332
- new version
- fix buildrequires

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdv2008.0
+ Revision: 27296
- new version

* Tue Apr 17 2007 Pascal Terjan <pterjan@mandriva.org> 2.10.2-1mdv2007.1
+ Revision: 13549
- 2.10.2


* Wed Apr 04 2007 Götz Waschk <waschk@mandriva.org> 2.10.1-1mdv2007.1
+ Revision: 150478
- fix buildrequires
- new version

* Tue Mar 20 2007 Götz Waschk <waschk@mandriva.org> 2.10.0-1mdv2007.1
+ Revision: 146838
- new version
- update file list

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.9.3-2mdv2007.1
+ Revision: 126258
- build with RAW support

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.9.3-1mdv2007.1
+ Revision: 126110
- new version

* Mon Feb 19 2007 Götz Waschk <waschk@mandriva.org> 2.9.2-1mdv2007.1
+ Revision: 122710
- new version
- drop patch
- update file list

* Wed Jan 03 2007 Pascal Terjan <pterjan@mandriva.org> 2.9.1-4mdv2007.1
+ Revision: 103698
- Add patch (based on svn) to fix behaviour after image deletion

* Sun Dec 31 2006 Götz Waschk <waschk@mandriva.org> 2.9.1-3mdv2007.1
+ Revision: 102969
- enable libiptcdata support

* Sat Dec 30 2006 Pascal Terjan <pterjan@mandriva.org> 2.9.1-2mdv2007.1
+ Revision: 102840
- increase release
- BuildRequires libxxf86vm-devel

* Wed Dec 27 2006 Götz Waschk <waschk@mandriva.org> 2.9.1-1mdv2007.1
+ Revision: 102164
- fix buildrequires
- new version
- update file list

* Sun Dec 10 2006 Pascal Terjan <pterjan@mandriva.org> 2.8.1-2mdv2007.1
+ Revision: 94483
- Rebuild for new libgphoto

* Fri Dec 08 2006 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdv2007.1
+ Revision: 92167
- new version

* Sun Nov 26 2006 Götz Waschk <waschk@mandriva.org> 2.8.0-3mdv2007.1
+ Revision: 87344
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.7.9-3mdv2007.1
+ Revision: 63847
- rebuild
- rebuild
- Import gthumb

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.7.9-1mdv2007.0
- New version 2.7.9

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 2.7.8-4mdv2007.0
- fix buildrequires

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.8-3mdv2007.0
- Rebuild with latest dbus

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.7.8-2mdv2007.0
- update desktop database

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.7.8-1mdv2007.0
- new macros
- xdg menu
- New release 2.7.8

* Fri May 19 2006 Götz Waschk <waschk@mandriva.org> 2.7.7-1mdk
- New release 2.7.7

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 2.7.6-1mdk
- Release 2.7.6
- Remove patch0 (merged upstream)

* Fri Feb 17 2006 Götz Waschk <waschk@mandriva.org> 2.6.9-1mdk
- add library package
- New release 2.6.9
- use mkrel

* Wed Dec 28 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.8-2mdk
- Update patch0 to fix utf8 text for photo import

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.8-1mdk
- Release 2.6.8

* Wed Aug 31 2005 Götz Waschk <waschk@mandriva.org> 2.6.6-2mdk
- replace preqreq

* Tue Jun 28 2005 Götz Waschk <waschk@mandriva.org> 2.6.6-1mdk
- New release 2.6.6

* Thu May 05 2005 Götz Waschk <waschk@mandriva.org> 2.6.5-2mdk
- fix build on x86_64

* Sun Apr 24 2005 Götz Waschk <waschk@mandriva.org> 2.6.5-1mdk
- New release 2.6.5

* Wed Apr 20 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.4-1mdk 
- Release 2.6.4 (based on Götz Waschk package)
- regenerate patch0

* Fri Feb 18 2005 Götz Waschk <waschk@linux-mandrake.com> 2.6.3-2mdk
- fix rpmlint warnings

* Sat Jan 22 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.6.3-1mdk
- New release 2.6.3

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk 
- Rebuild with latest howl

* Mon Dec 06 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Sun Nov 21 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- New release 2.6.1

* Fri Oct 22 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- New release 2.6.0.1

* Tue Oct 19 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.0-1mdk
- rediff patch 0
- New release 2.6.0

* Wed Sep 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.2-2mdk
- Patch0: don't convert exif info in utf8, libexif9 already does it

* Thu Sep 02 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- New release 2.4.2

* Thu Aug 05 2004 Götz Waschk <waschk@linux-mandrake.com> 2.4.1-2mdk
- fix buildrequires

* Fri Jul 02 2004 Götz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- fix source URL
- New release 2.4.1

* Wed Jun 02 2004 Abel Cheung <deaddog@deaddog.org> 2.4.0-2mdk
- Use ImageMagick to convert icons
- Build against gphoto and libtiff as well
- yelp-pregenerate is no more

* Wed Jun 02 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.4.0-1mdk
- New release 2.4.0

* Tue Apr 27 2004 Götz Waschk <waschk@linux-mandrake.com> 2.3.3-1mdk
- fix source URL
- new version

* Thu Apr 22 2004 Götz Waschk <waschk@linux-mandrake.com> 2.3.2-2mdk
- fix buildrequires

* Thu Apr 08 2004 Götz Waschk <waschk@linux-mandrake.com> 2.3.2-1mdk
- new version

